diff --git a/hubs/tests/vcr-request-data/hubs.tests.widgets.test_badges.TestBadges.test_should_invalidate_good_match b/hubs/tests/vcr-request-data/hubs.tests.widgets.test_badges.TestBadges.test_should_invalidate_good_match
new file mode 100644
index 0000000..141bebb
--- /dev/null
+++ b/hubs/tests/vcr-request-data/hubs.tests.widgets.test_badges.TestBadges.test_should_invalidate_good_match
@@ -0,0 +1,117 @@
+interactions:
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.7.0 CPython/2.7.10 Linux/4.3.3-300.fc23.x86_64]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/id?id=2016-ebb84660-59e9-4e68-af8f-4e6f49348b88
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA4VW/4+bOBb/X/LrtiMbQjqpdNKVBJMhgQwGm2BFqgAzQ8AYSugkw6r/+71Mt9vd
+        O21PipSA4/cen2/491lRDuPp6VRkYzn7ONtFaNxFeEWZ9OKTvabcYxETXogIo29raFw12IsYr6gT
+        rMNYbQQiZsQ8WyC1DjmxJaI0Yf3uqHPce9lG1HFDKGVixRgxhUHs0gkWIetXAllJ2BDBHXLmKtzG
+        nEwSBbAbPpx49CC3MSYLyklw1GFMN2FMOGXePGYVz5mYEiXPeUscyqsgVPyP9aCL2TLKuRjSOthm
+        n3qPNp6V1t4lJ83EDpVz1GVD9mEr97zx7ALTVc77c9IU11L10M8Owtj+oxqBbjJ7q6aqfd5gut9I
+        h3HlrJSg7GCTo5a4H2GWSLr+a2pW26whA1QfiqQaMlZYcrJXISaEo/SVtuOJG1fMblVJv9kflEic
+        n/MdNTuw7W1y6LUKSOVwh11iRmnJ8ILGdpC152ucXF8Sh7IIrikhFqwT38FfsokEubsEnIW44Qy4
+        /RXpT72dE8F+hfSvcD7qf0J61T5MUVv9D9K/whmqxSKgrvyJ9KF6QzpJsJvh7pXrbhsTuc0AJ+Fe
+        6zImfcLlvlD9IUjGgDocp0h2gYP7ow4SnHHsGamBXWkE4/5AMo7ml9hFVsmB1792C/sda/A8aXGS
+        YTUCK5mvxOJHt6P+f/3+qduqucJvlZUNH2MWUIqC+KgLJuMoeZiAKxI1JEp4JWA3SnmBQ96PHFTh
+        o75LUbWVLYHrvgknfqteS0Nm+02xhb0iasaXo04a1ck22IPfSNh4NGRUJ7Ftx0xtoPoLRZ4dG727
+        Q/5QHqrUd56NPPFWW+MZFa4V+bzS0qyY75DVUe8ufZYy65AZamA15fFqGWxNQYRuTN/tWY6uYYar
+        yHdVJB1PC8bn/oGffCy/JAfeBro30qZAkZtaR+1vqtoHvWdcLlbttUqRCNLp0wvX/V4mFS2J0rkp
+        4tIRnjhU2zzh151BTrnb92ItvoRc2IWiKT/YJjir6a45YCcS0KsWDT1UEYvO23ytiHSEH6HrlNaV
+        EyYyAIXb1Oi1QCIFJDzQ6Z85ExEPMgQ09iVkoPEJ3I3lmuLApqgYKFMrQJeKS+9ma+4CO/uAXZNI
+        QXAh7yFRBc7dYKS1DZwTzWIvgQxJ6CZ3ccWR1QlHcomq746q7UdgBcJBBMxZminDeKXlICZ5uuWH
+        3HgLyuihAIcxp/Jg1oejBofoWIkHhjARhn8B1uuCEZea1OamGBgKvJx02E+sc9gKHkK3wrnfCl3R
+        MFkKauBLxOSXmwZAvQjTwpTrW05xBfmLuBkpwUGVfszIQJFz5YyvwwbD845BCSkTsuWPpKghKVY+
+        Az02Ep60IN2rMCsX3Jz8cHOOqZPhNzeDu1QcKlLnsbpCVuwhif5MyVv32OEmOO3mF3TUq/YtJf+W
+        DTH/VQaP0X9lcJxAYoVcbY86MpZZlFRGiuZwB3K3EZ1wq4xO5JK2463qgWlRQ46ZqYGsAq7j2vZh
+        ViupqQd+eYwVecgMGoJC9DOmkLvQz/Y5b6Lb9GEfAMKbEAUTRYRyeJdJhNeA4/SGY0IdCekeHqQX
+        uRJwtFbCGK9HnbljTydl+o5nM85d0N4jPDENW88L6sJaaRHJJEWZGWwYJiyMuU0d6xK0zSVOVBgn
+        8qHQakgb63LU8et5iI1xkWvub80+KXiKE0dNcqO2UexVhQMqXAd2ztA2RLwNsdrs3WYqjO6SI2Uz
+        SIG0Vrvd6z34FBw7gLtDSJhFgD9dqHF9zN0LytbeId4EmwLhKiCAhkFo4PYqWo00e+4G36i2kFJB
+        UleqIDwLNnwAn26CV4qWDwUKUNBa21ypKa8532/4o5zQcnX6fnqgzHIenIAwReFdcTsxUPL91IGA
+        y9m72Wn2EWMLvZu15+fZx99nnZKfh0w3s49z68Pi3awvh3Onbyv5qZt91F+Vejcr2+yk4Pwi4fWR
+        l/rfT6XshqwfurosxrtueL4VllDZ+GBCDX0qGp215c8dsP69ibnA+N3sUubn0+1EdCv/7dvbMJ9v
+        BWYGwov3ZZ7fzxcL9N5alsv383Jx/z57un+6/XqaL835fX5/DxXPp2edjV+HW5+H3frLUO3GJl1q
+        WsVPTCTJ5FysRdnv03V0b/nmNJ5N/8Nu/tqzzaENzM10qvRvXzeuaMq6TJ5bZdSP6Yd6f9QtWuir
+        7+zywnM+eWPAF6fnl55d1lX9qOZTue/Sfj4W58XigDPItYchcdCLqCuK0uFrNz2ew9H6DRPzsX86
+        amUPL0909XX7vM6fyMkkwfxfb1ycu69DUX7+AVU2Zrpr23L4ufQCbJxudMzQ3eLOgoXx1JbnMWt7
+        QHtumebSwB+MO+Bz7PpTAX8ENu7+zg98y9utPJPP5fnuO8N3Nz7uMvmS6aKcffsPr45LJaoKAAA=
+    headers:
+      appserver: [proxy11.fedoraproject.org]
+      apptime: [D=168454]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['1823']
+      content-type: ['*/*']
+      date: ['Thu, 21 Jan 2016 16:06:58 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.7.0 CPython/2.7.10 Linux/4.3.3-300.fc23.x86_64]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/id?id=2016-1fbb1135-681b-4d3b-9a40-d0f6ebd313f4
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA4VW72+juBb9V6p+nZmODSUzGel9KASTkEKKwSZYkUaAaUgwPwq0SbOa/31v0s7s
+        vn3aeVIkYhvfe33uOQf/cZ0X/bh73OXpWFx/u74P0XgfYosy6UY7c0a5y0Im3AARRi9raLQq7IaM
+        l9T2Z0Gk5gIRPWSuKZCaBZyYElEas+5+02S4c9O52EcVoZQJizGiC42Yhe1PAtZZAhlxUBHBbTJw
+        FSwjTk4S+bAbfpy4dC2XESYTyom/aYKIzoOIcMrc24iVPGPiFCs5ZDWxKS/9QPH3db+N2DTMuOiT
+        vb9M7zqXVq6R7N1DRqoTW5f2pikqsgpqueKVa+aYWhnvhrjKj4XqIJ/pB5H5Ho1ANpleoqlylVWY
+        rubSZlzZlhKUrU2yaSTuRqgllI73mujlMq1ID9H7PC77lOWGPJlWgAnhKHml9bjj2hGzc1TSzVdr
+        JWL7r/o2DVuz5blyyGX5pLS5zQ4Ro7RgeEIj00/r4RjFx5fYpiyEMSXEgHXi2fgpPRE/c6aAsxBn
+        nAG3vyN915kZEex3SP8O503zb0hb9eIU1uX/IP07nCFaJHzqyL+QXpcXpOMYOyluX3nTLiMilyng
+        JJzjvohIF3O5ylW39uPRpzbHCZKtb+Nu0/gxTjl2tUTDjtT8cbUmKUe3h8hBRsGhr3/PFnT3rMK3
+        cY3jFKsRupJ6Skx+Zts0/y/fv2WzqiP8V2lR8TFiPqXIjzZNzmQUxosT9IqEFQljXgrYjRKe44B3
+        IwdWeKhrE1QuZU1g3FXBiZ+j76Um09U8X8JeEVbjy6aJK9XK2l+B3khQuTRgtIkj04yYmkP0F4pc
+        M9I65x55fbEuE8/ealnsWktti3LHCD1eNlIvmWcTa9PcH7o0YcY61VTP9pRH1tRf6oKIptI9p2MZ
+        OgYpLkPPUaG03UYwfuut+c7D8ile89pvOi2pchQ6ibFpvHm594DvKZcTqz6WCRJ+crp74U23knFJ
+        C6KaTBdRYQtXrMtlFvPjvUZ2mdN1YiaeAi7MXNGEr00dlFW1xwywEzHwtREVXZchC4dlNlNE2sIL
+        0fGU7Es7iKUPDDep1jUCiQSQcIGnv3wmJC54CHDsKWDA8ROoG8sZxb5JUd5TpixAl4pD56Qz7kB3
+        Vj47xqEC40LuIlY5zhx/pHsTek4aFrkxeEhM55mDS46MVtiSS1S+KWpvPkBXwByEz+ypnjCMrUb2
+        4iR3Z/+Qc3dCGV3noDBmly7Uutg0oJAmUmLBECZC8w7Q9X3OiEN1anJd9Az5bkZa7MXGENSCB5At
+        t78uRVPSIJ4KquFDyOTTmQPAXoRprsvZ2ae4Av9FXA+V4MBKL2Kkp8g+csZnQYXhvKNfgMsEbPrT
+        KfbgFJbHgI+VhJPmpH0VeumAmuOfas4wtVN8UTOoS0WBIvssUkfwihU40S+XPGePbK6D0s56QZvG
+        qi8u+V/eEPHfefAY/sODoxgcK+BquWlCbZqGcakl6BZmwHcr0QqnTOmJHJJ6PEdds0bswcf0RENG
+        DuNob3pQqxHvqQt6eYgUWaQaDYAhzRZT8F3IZ3qcV+G5+qDzAeF5gPwTRYRy+JZJhGeA4+mCY0xt
+        Ce4erKUbOhJwNCyhjcdNkzpjR09K92zXZJw7wL0HODENatf197lhNSKUcYJS3Z8zTFgQcZPaxsGv
+        q0MUqyCK5SJvVJ9UxmHTRK9DH2njJGu4t9S7OOcJjm11knO1DCO3zG1g4cw3M4aWAeJ1gNV85VSn
+        XGsPGVImAxdI9ur+/vUr6BQU24O6A3CYiY/vDlQ7PmTOAaUzdx3N/XmOcOkTQEMj1Hc6FVojTbdt
+        72nlElzKj/elyglP/TnvQadz/5Wi6SJHPvJrY5kpdcr2nK/m/EGe0NTavd0eKDPshe0Tpih8K843
+        Bkrebh0Ienn98Xp3/Q1/vK6H7fW3P66zVG6LX3++7yTcUYadeil6eFMWQ97vunHXNjCdtM9XZaHk
+        1VDkbSOvOpXmxVXbXI1lcUUK2fbplXmOMlypIpVFn7VpL88J6xRCP/cKgpTj2A3fPn++pBtuHi/b
+        ur7dF/l40/bbz12zHT5r39/K0W/RDUxAjCatz9en8K20Hx+vnwd4/qx7+H4eXqrX3pbe3+9T1ZXX
+        P35czvt2Og3hySf8mGUY68anyVecfbqVevZpmt6iTxI9TopM6lh/vIWsw27bpONzfw7VGkZIH3T4
+        HB0dMqZO6Gok+KL7UdKWyXHfDlU7fUnkbqk+YKuV9/TDc2Edl9vxuDtNHvsiEaYeLF6/5HcPcHNr
+        qVf029l0+7JzZnGirz+vjbtbNf+Appr6emfN1WcVRbFZj0VjDWbiPfdOUFgxkONY48Nhm3fbZw1N
+        59sPu03zwViejKdFoYrmOcULuymD/1x6PbTPfV58f0dDpmPatHV9ae77EsA5vPUX3UxuDFgYd3Ux
+        jGndAU9uDe3rF/2Lpt8gWGi7XX5Got/+o3HwlOep965eHjfp4dz+H38CIdnL2QILAAA=
+    headers:
+      appserver: [proxy03.fedoraproject.org]
+      apptime: [D=99135]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['1874']
+      content-type: ['*/*']
+      date: ['Thu, 21 Jan 2016 16:11:16 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+version: 1
diff --git a/hubs/tests/vcr-request-data/hubs.tests.widgets.test_badges.TestBadges.test_should_invalidate_wrong_topic b/hubs/tests/vcr-request-data/hubs.tests.widgets.test_badges.TestBadges.test_should_invalidate_wrong_topic
new file mode 100644
index 0000000..26d99fc
--- /dev/null
+++ b/hubs/tests/vcr-request-data/hubs.tests.widgets.test_badges.TestBadges.test_should_invalidate_wrong_topic
@@ -0,0 +1,59 @@
+interactions:
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.7.0 CPython/2.7.10 Linux/4.3.3-300.fc23.x86_64]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/id?id=2016-ebb84660-59e9-4e68-af8f-4e6f49348b88
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA4VW/4+bOBb/X/LrtiMbQjqpdNKVBJMhgQwGm2BFqgAzQ8AYSugkw6r/+71Mt9vd
+        O21PipSA4/cen2/491lRDuPp6VRkYzn7ONtFaNxFeEWZ9OKTvabcYxETXogIo29raFw12IsYr6gT
+        rMNYbQQiZsQ8WyC1DjmxJaI0Yf3uqHPce9lG1HFDKGVixRgxhUHs0gkWIetXAllJ2BDBHXLmKtzG
+        nEwSBbAbPpx49CC3MSYLyklw1GFMN2FMOGXePGYVz5mYEiXPeUscyqsgVPyP9aCL2TLKuRjSOthm
+        n3qPNp6V1t4lJ83EDpVz1GVD9mEr97zx7ALTVc77c9IU11L10M8Owtj+oxqBbjJ7q6aqfd5gut9I
+        h3HlrJSg7GCTo5a4H2GWSLr+a2pW26whA1QfiqQaMlZYcrJXISaEo/SVtuOJG1fMblVJv9kflEic
+        n/MdNTuw7W1y6LUKSOVwh11iRmnJ8ILGdpC152ucXF8Sh7IIrikhFqwT38FfsokEubsEnIW44Qy4
+        /RXpT72dE8F+hfSvcD7qf0J61T5MUVv9D9K/whmqxSKgrvyJ9KF6QzpJsJvh7pXrbhsTuc0AJ+Fe
+        6zImfcLlvlD9IUjGgDocp0h2gYP7ow4SnHHsGamBXWkE4/5AMo7ml9hFVsmB1792C/sda/A8aXGS
+        YTUCK5mvxOJHt6P+f/3+qduqucJvlZUNH2MWUIqC+KgLJuMoeZiAKxI1JEp4JWA3SnmBQ96PHFTh
+        o75LUbWVLYHrvgknfqteS0Nm+02xhb0iasaXo04a1ck22IPfSNh4NGRUJ7Ftx0xtoPoLRZ4dG727
+        Q/5QHqrUd56NPPFWW+MZFa4V+bzS0qyY75DVUe8ufZYy65AZamA15fFqGWxNQYRuTN/tWY6uYYar
+        yHdVJB1PC8bn/oGffCy/JAfeBro30qZAkZtaR+1vqtoHvWdcLlbttUqRCNLp0wvX/V4mFS2J0rkp
+        4tIRnjhU2zzh151BTrnb92ItvoRc2IWiKT/YJjir6a45YCcS0KsWDT1UEYvO23ytiHSEH6HrlNaV
+        EyYyAIXb1Oi1QCIFJDzQ6Z85ExEPMgQ09iVkoPEJ3I3lmuLApqgYKFMrQJeKS+9ma+4CO/uAXZNI
+        QXAh7yFRBc7dYKS1DZwTzWIvgQxJ6CZ3ccWR1QlHcomq746q7UdgBcJBBMxZminDeKXlICZ5uuWH
+        3HgLyuihAIcxp/Jg1oejBofoWIkHhjARhn8B1uuCEZea1OamGBgKvJx02E+sc9gKHkK3wrnfCl3R
+        MFkKauBLxOSXmwZAvQjTwpTrW05xBfmLuBkpwUGVfszIQJFz5YyvwwbD845BCSkTsuWPpKghKVY+
+        Az02Ep60IN2rMCsX3Jz8cHOOqZPhNzeDu1QcKlLnsbpCVuwhif5MyVv32OEmOO3mF3TUq/YtJf+W
+        DTH/VQaP0X9lcJxAYoVcbY86MpZZlFRGiuZwB3K3EZ1wq4xO5JK2463qgWlRQ46ZqYGsAq7j2vZh
+        ViupqQd+eYwVecgMGoJC9DOmkLvQz/Y5b6Lb9GEfAMKbEAUTRYRyeJdJhNeA4/SGY0IdCekeHqQX
+        uRJwtFbCGK9HnbljTydl+o5nM85d0N4jPDENW88L6sJaaRHJJEWZGWwYJiyMuU0d6xK0zSVOVBgn
+        8qHQakgb63LU8et5iI1xkWvub80+KXiKE0dNcqO2UexVhQMqXAd2ztA2RLwNsdrs3WYqjO6SI2Uz
+        SIG0Vrvd6z34FBw7gLtDSJhFgD9dqHF9zN0LytbeId4EmwLhKiCAhkFo4PYqWo00e+4G36i2kFJB
+        UleqIDwLNnwAn26CV4qWDwUKUNBa21ypKa8532/4o5zQcnX6fnqgzHIenIAwReFdcTsxUPL91IGA
+        y9m72Wn2EWMLvZu15+fZx99nnZKfh0w3s49z68Pi3awvh3Onbyv5qZt91F+Vejcr2+yk4Pwi4fWR
+        l/rfT6XshqwfurosxrtueL4VllDZ+GBCDX0qGp215c8dsP69ibnA+N3sUubn0+1EdCv/7dvbMJ9v
+        BWYGwov3ZZ7fzxcL9N5alsv383Jx/z57un+6/XqaL835fX5/DxXPp2edjV+HW5+H3frLUO3GJl1q
+        WsVPTCTJ5FysRdnv03V0b/nmNJ5N/8Nu/tqzzaENzM10qvRvXzeuaMq6TJ5bZdSP6Yd6f9QtWuir
+        7+zywnM+eWPAF6fnl55d1lX9qOZTue/Sfj4W58XigDPItYchcdCLqCuK0uFrNz2ew9H6DRPzsX86
+        amUPL0909XX7vM6fyMkkwfxfb1ycu69DUX7+AVU2Zrpr23L4ufQCbJxudMzQ3eLOgoXx1JbnMWt7
+        QHtumebSwB+MO+Bz7PpTAX8ENu7+zg98y9utPJPP5fnuO8N3Nz7uMvmS6aKcffsPr45LJaoKAAA=
+    headers:
+      appserver: [proxy03.fedoraproject.org]
+      apptime: [D=107470]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['1823']
+      content-type: ['*/*']
+      date: ['Thu, 21 Jan 2016 16:06:59 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+version: 1
diff --git a/hubs/tests/vcr-request-data/hubs.tests.widgets.test_badges.TestBadges.test_should_invalidate_wrong_user b/hubs/tests/vcr-request-data/hubs.tests.widgets.test_badges.TestBadges.test_should_invalidate_wrong_user
new file mode 100644
index 0000000..7f29a67
--- /dev/null
+++ b/hubs/tests/vcr-request-data/hubs.tests.widgets.test_badges.TestBadges.test_should_invalidate_wrong_user
@@ -0,0 +1,119 @@
+interactions:
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.7.0 CPython/2.7.10 Linux/4.3.3-300.fc23.x86_64]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/id?id=2016-ebb84660-59e9-4e68-af8f-4e6f49348b88
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA4VW/4+bOBb/X/LrtiMbQjqpdNKVBJMhgQwGm2BFqgAzQ8AYSugkw6r/+71Mt9vd
+        O21PipSA4/cen2/491lRDuPp6VRkYzn7ONtFaNxFeEWZ9OKTvabcYxETXogIo29raFw12IsYr6gT
+        rMNYbQQiZsQ8WyC1DjmxJaI0Yf3uqHPce9lG1HFDKGVixRgxhUHs0gkWIetXAllJ2BDBHXLmKtzG
+        nEwSBbAbPpx49CC3MSYLyklw1GFMN2FMOGXePGYVz5mYEiXPeUscyqsgVPyP9aCL2TLKuRjSOthm
+        n3qPNp6V1t4lJ83EDpVz1GVD9mEr97zx7ALTVc77c9IU11L10M8Owtj+oxqBbjJ7q6aqfd5gut9I
+        h3HlrJSg7GCTo5a4H2GWSLr+a2pW26whA1QfiqQaMlZYcrJXISaEo/SVtuOJG1fMblVJv9kflEic
+        n/MdNTuw7W1y6LUKSOVwh11iRmnJ8ILGdpC152ucXF8Sh7IIrikhFqwT38FfsokEubsEnIW44Qy4
+        /RXpT72dE8F+hfSvcD7qf0J61T5MUVv9D9K/whmqxSKgrvyJ9KF6QzpJsJvh7pXrbhsTuc0AJ+Fe
+        6zImfcLlvlD9IUjGgDocp0h2gYP7ow4SnHHsGamBXWkE4/5AMo7ml9hFVsmB1792C/sda/A8aXGS
+        YTUCK5mvxOJHt6P+f/3+qduqucJvlZUNH2MWUIqC+KgLJuMoeZiAKxI1JEp4JWA3SnmBQ96PHFTh
+        o75LUbWVLYHrvgknfqteS0Nm+02xhb0iasaXo04a1ck22IPfSNh4NGRUJ7Ftx0xtoPoLRZ4dG727
+        Q/5QHqrUd56NPPFWW+MZFa4V+bzS0qyY75DVUe8ufZYy65AZamA15fFqGWxNQYRuTN/tWY6uYYar
+        yHdVJB1PC8bn/oGffCy/JAfeBro30qZAkZtaR+1vqtoHvWdcLlbttUqRCNLp0wvX/V4mFS2J0rkp
+        4tIRnjhU2zzh151BTrnb92ItvoRc2IWiKT/YJjir6a45YCcS0KsWDT1UEYvO23ytiHSEH6HrlNaV
+        EyYyAIXb1Oi1QCIFJDzQ6Z85ExEPMgQ09iVkoPEJ3I3lmuLApqgYKFMrQJeKS+9ma+4CO/uAXZNI
+        QXAh7yFRBc7dYKS1DZwTzWIvgQxJ6CZ3ccWR1QlHcomq746q7UdgBcJBBMxZminDeKXlICZ5uuWH
+        3HgLyuihAIcxp/Jg1oejBofoWIkHhjARhn8B1uuCEZea1OamGBgKvJx02E+sc9gKHkK3wrnfCl3R
+        MFkKauBLxOSXmwZAvQjTwpTrW05xBfmLuBkpwUGVfszIQJFz5YyvwwbD845BCSkTsuWPpKghKVY+
+        Az02Ep60IN2rMCsX3Jz8cHOOqZPhNzeDu1QcKlLnsbpCVuwhif5MyVv32OEmOO3mF3TUq/YtJf+W
+        DTH/VQaP0X9lcJxAYoVcbY86MpZZlFRGiuZwB3K3EZ1wq4xO5JK2463qgWlRQ46ZqYGsAq7j2vZh
+        ViupqQd+eYwVecgMGoJC9DOmkLvQz/Y5b6Lb9GEfAMKbEAUTRYRyeJdJhNeA4/SGY0IdCekeHqQX
+        uRJwtFbCGK9HnbljTydl+o5nM85d0N4jPDENW88L6sJaaRHJJEWZGWwYJiyMuU0d6xK0zSVOVBgn
+        8qHQakgb63LU8et5iI1xkWvub80+KXiKE0dNcqO2UexVhQMqXAd2ztA2RLwNsdrs3WYqjO6SI2Uz
+        SIG0Vrvd6z34FBw7gLtDSJhFgD9dqHF9zN0LytbeId4EmwLhKiCAhkFo4PYqWo00e+4G36i2kFJB
+        UleqIDwLNnwAn26CV4qWDwUKUNBa21ypKa8532/4o5zQcnX6fnqgzHIenIAwReFdcTsxUPL91IGA
+        y9m72Wn2EWMLvZu15+fZx99nnZKfh0w3s49z68Pi3awvh3Onbyv5qZt91F+Vejcr2+yk4Pwi4fWR
+        l/rfT6XshqwfurosxrtueL4VllDZ+GBCDX0qGp215c8dsP69ibnA+N3sUubn0+1EdCv/7dvbMJ9v
+        BWYGwov3ZZ7fzxcL9N5alsv383Jx/z57un+6/XqaL835fX5/DxXPp2edjV+HW5+H3frLUO3GJl1q
+        WsVPTCTJ5FysRdnv03V0b/nmNJ5N/8Nu/tqzzaENzM10qvRvXzeuaMq6TJ5bZdSP6Yd6f9QtWuir
+        7+zywnM+eWPAF6fnl55d1lX9qOZTue/Sfj4W58XigDPItYchcdCLqCuK0uFrNz2ew9H6DRPzsX86
+        amUPL0909XX7vM6fyMkkwfxfb1ycu69DUX7+AVU2Zrpr23L4ufQCbJxudMzQ3eLOgoXx1JbnMWt7
+        QHtumebSwB+MO+Bz7PpTAX8ENu7+zg98y9utPJPP5fnuO8N3Nz7uMvmS6aKcffsPr45LJaoKAAA=
+    headers:
+      appserver: [proxy01.phx2.fedoraproject.org]
+      apptime: [D=4994]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['1823']
+      content-type: ['*/*']
+      date: ['Thu, 21 Jan 2016 16:07:00 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.7.0 CPython/2.7.10 Linux/4.3.3-300.fc23.x86_64]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/id?id=2016-e371c7f6-bc8e-4632-8e33-b9102dc30b5f
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA4VW72+juBb9V6p82t237djQpM1I70MhmIQUUgw2wYo0AkxDwPwooU2a1fzv76ad
+        dvft086TEoExvvf63HMO/mOU5f2we9xlyZCPvo7uAzTcB9ikTDrhzphR7rCACcdHhNG3OTSYFXYC
+        xgtqeTM/VHOBiB4wxxBIzXxODIkojVh3v2lS3DnJXJRhRShlwmSM6EIjRm55E591pkDjyK+I4BbZ
+        c+UvQ05OEnmwGn6cOHQtlyEmE8qJt2n8kM79kHDKnOuQFTxl4hQpuU9rYlFeeL7iP+a9NmTTIOWi
+        j0tvmdx1Dq2ccVw6h5RUJ7YurE2TV2Tl13LFK8fIMDVT3u2jKjvmqoN8hueHxo9oBLLJ5C2aKlZp
+        helqLi3GlWUqQdnaIJtG4m6AWgJpu6+xXiyTivQQvc+iok9YNpYnw/QxIRzFr7Qedlw7YnaOSrr5
+        aq1EZP1Z36Zha7Y8Vw65TI8UFrfYIWSU5gxPaGh4Sb0/htHxJbIoC2BMCRnDPHEt/JSciJfaU8BZ
+        iDPOgNtfkb7rjJQI9jOkf4bzpvknpM16cQrq4n+Q/hnOEC0UHrXln0ivizekowjbCW5fedMuQyKX
+        CeAk7GOZh6SLuFxlqlt70eBRi+MYydazcLdpvAgnHDtarGFbat6wWpOEo+tDaKNxzqGvf83md/es
+        wtdRjaMEqwG6krhKTD6ybZr/l++fspnVEe5Vkld8CJlHKfLCTZMxGQbR4gS9IkFFgogXAlajmGfY
+        593AgRUu6toYFUtZExh3lX/i5+il1GSymmdLWCuCanjZNFGlWll7K9Ab8SuH+ow2UWgYIVNziP5C
+        kWOEWmffI7fP10XsWlstjRxzqW1RZo8DlxeN1AvmWsTcNPeHLonZeJ1oqmcl5aE59Za6IKKpdNfu
+        WIqOfoKLwLVVIC2nEYxfu2u+c7F8ita89ppOi6sMBXY83jTuvChd4HvC5cSsj0WMhBef7l54061k
+        VNCcqCbVRZhbwhHrYplG/HivkV1qd52YiSefCyNTNOZrQwdlVe0xBexEBHxtREXXRcCC/TKdKSIt
+        4QboeIrLwvIj6QHDDap1jUAiBiQc4OmnzwTEAQ8Bjj35DDh+AnVjOaPYMyjKesqUCehScejsZMZt
+        6M7KY8coUGBcyFlEKsOp7Q20NKDnpGGhE4GHRHSe2rjgaNwKS3KJindFlcYDdAXMQXjMmuoxw9hs
+        ZC9Ocnf2Dzl3JpTRdQYKY1bhQK2LTQMKaUIlFgxhIjT3AF0vM0ZsqlOD66JnyHNS0mI3Gu/9WnAf
+        smXW7VI0BfWjqaAaPgRMPp05AOxFmGa6nJ19iivwX8T1QAkOrHRDRnqKrCNnfOZXGPY7eDm4jM+m
+        H05RglOYLgM+VhJ2mpH2VeiFDWqOPtScYmol+E3NoC4V+oqUaaiO4BUrcKJPlzxnDy2ug9LOekGb
+        xqzfXPK/vCHkP/PgIfibB4cROJbP1XLTBNo0CaJCi9E1PAHfrUQr7CKhJ3KI6+Ecdc0aUYKP6bGG
+        xhmMw9JwodZxVFIH9PIQKrJINOoDQ5otpuC7kM9wOa+Cc/V+5wHCcx95J4oI5fAtkwjPAMfTG44R
+        tSS4u7+WTmBLwHFsCm04bprEHjp6UrprOQbj3AbuPcCOqV87jldmY7MRgYxilOjenGHC/JAb1Bof
+        vLo6hJHyw0guskb1cTU+bJrwdd+H2jBJG+4u9S7KeIwjS53kXC2D0CkyC1g484yUoaWPeO1jNV/Z
+        1SnT2kOKlMHABeJS3d+/3oJOQbE9qNsHh5l4+O5AteNDah9QMnPW4dybZwgXHgE0NEI9u1OBOdBk
+        2/auVizBpbyoLFRGeOLNeQ86nXuvFE0XGfKQV4+XqVKntOR8NecP8oSm5u799EDZ2FpYHmGKwrfi
+        fGKg5P3UgaCXo99Hu9FXjK+nv4/q/Xb09Y9Rmsht/nnzbSfhmCJ3+6x9yfvXy/bxcijyy8e2Hbp+
+        1wz7yyHfD3l/udtBLJnvs37XDbu2gVW//ZJcdMlQXAztxWOrVHv49TcA9fy+vEga+EsJd1XS18n5
+        nfHFcyfhXPQec9dsP8YXu+bCaGWxu3qvuE6gsOdeQY5iGLr91y9f3ordXz3msu2Trm/LPBuu2n77
+        pWu2+y8/akTaFQwhQpPU59PX7GNbF+3jBWzrgnxu6+KXtzr7i8Xi19H330fP+7z/BGX/7Tx8gwZr
+        N/rkffpHUAlf1DRvRt+/v0H6DqCG8OQy129wdvM4uUyz2/zyeqJrl7e5rl+mU4w0mekoHT9Ccfvd
+        tkmG5/4cDD1VT15X1qvpUbsN7kinbX0GbusaaB9GN3dZLGY1m+lDvrAtbgbT4zYq24zvX+vHrT57
+        yuwuL+cI9zf+K2htvM2RMTWDf2XL9enk02LJq4O+r19eigOWnDw+RMMhm6ZGc11Gy37B2GMVti8P
+        6uHwPLlG+CVpnGWceTsTTpvZY3v7+qCC++TLDe1YHsrDv9/6s2+f+yz/9oFHMiRNW9eA3+cUYL5/
+        5wi6mlyNYWLY1YB3UncA6fVY16cgkskVgom222XwIvTyb92Fqzw/+tH6t8tVckh6Ofr+H+Y7sqdo
+        CwAA
+    headers:
+      appserver: [proxy12.fedoraproject.org]
+      apptime: [D=143566]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['1941']
+      content-type: ['*/*']
+      date: ['Thu, 21 Jan 2016 16:11:17 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+version: 1
